.shine-btn {
    position: relative;
    overflow: hidden;
}
.shine-btn,.btn{
    border: 1px solid black;
    border-radius: 15px;
    padding: 5px 20px;
    background: var(--Quaternary);
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    width: 250px;
    height: 30px;
    color: var(--Quintessence);
}
.shine-btn:hover,.btn:hover{
    color: white;
    background-color: var(--Tertiary);
}
.shine-btn:before {
    content: '';
    position: absolute;
    width: 100px;
    height: 100%;
    background-image: linear-gradient(
        120deg,
        rgba(255,255,255, 0) 30%,
        rgba(255,255,255, .8),
        rgba(255,255,255, 0) 70%
    );
    top: 0;
    left: -100px;
}
@keyframes shine {
    0% {left: -100px}
    20% {left: 100%}
    100% {left: 100%}
}
.shine-btn:before {
    content: '';
    position: absolute;
    width: 100px;
    height: 100%;
    background-image: linear-gradient(
        120deg,
        rgba(255,255,255, 0) 30%,
        rgba(255,255,255, .8),
        rgba(255,255,255, 0) 70%
    );
    top: 0;
    left: -100px;
    animation: shine 3s infinite linear; /* Animation */
}